Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::String Class Reference

文字列 More...

`#include <String.h>`

List of all members.

## Public Member Functions
| String ()
| コンストラクタ
| String (const char *initString)
| コンストラクタ
| String (const String &copy)
| コピーコンストラクタ
String & | operator= (const String &copy)
| 代入演算子
String & | operator= (const char *copy)
| 代入演算子
| ~String ()
| デストラクタ
int | getSize () const
| 文字列のバイト長を返す
int | getCharacterCount () const
| 文字数を返す
bool | isEmpty () const
| 空文字列かどうか
const char * | getBytes () const
| バイトシーケンスの取得
char | charAt (int index) const
| 文字の取得
String | getSubstring (int beginIndex) const
| 部分文字列の取得
String | getSubstring (int beginIndex, int endIndex) const
| 部分文字列の取得
String | getUpperCase () const
| 大文字化した文字列の取得
String | getLowerCase () const
| 小文字化した文字列の取得
u_int | getHashCode () const
| ハッシュコードの取得
bool | parseChar (char *value) const
| charへのパース
bool | parseUChar (u_char *value) const
| u_charへのパース
bool | parseShort (short *value) const
| shortへのパース
bool | parseUShort (u_short *value) const
| u_shortへのパース
bool | parseInt (int *value) const
| intへのパース
bool | parseUInt (u_int *value) const
| u_intへのパース
bool | parseFloat (float *value) const
| floatへのパース
bool | parseDouble (double *value) const
| doubleへのパース
String & | append (const String &appendString)
| 文字列の追加
String & | append (const char *appendString)
| 文字列の追加
String & | operator+= (const String &appendString)
| 追加演算子
String & | operator+= (const char *appendString)
| 追加演算子
String & | format (const char *formatString,...)
| フォーマット
int | compareTo (const String &compareString) const
| 文字列の辞書式比較
int | compareTo (const char *compareString) const
| 文字列の辞書式比較
int | compareToIgnoreCase (const String &compareString) const
| 大文字、小文字を無視した文字列の辞書式比較
bool | equals (const String &compareString) const
| 文字列の比較
bool | equals (const char *compareString) const
| 文字列の比較
bool | operator== (const String &compareString) const
| 文字列の比較
bool | operator!= (const String &compareString) const
| 文字列の比較
bool | equalsIsIgnoreCase (const String &compareString) const
| 大文字、小文字を無視した文字列の比較
bool | startsWith (const String &prefix) const
| 指定した文字列で始まるかどうか
bool | startsWith (const char *prefix) const
| 指定した文字列で始まるかどうか
bool | endsWith (const String &suffix) const
| 指定した文字列で終わるかどうか
bool | endsWith (const char *suffix) const
| 指定した文字列で終わるかどうか
int | getIndexOf (const char searchChar) const
| 指定された文字が最初に出現する位置のインデックスを取得
int | getIndexOf (const char *searchString) const
| 指定された文字列が最初に出現する位置のインデックスを取得
int | getIndexOf (const String &searchString) const
| 指定された文字列が最初に出現する位置のインデックスを取得
int | getLastIndexOf (const char searchChar) const
| 指定された文字が最後に出現する位置のインデックスを取得
int | getLastIndexOf (const char *searchString) const
| 指定された文字列が最後に出現する位置のインデックスを取得
int | getLastIndexOf (const String &searchString) const
| 指定された文字列が最後に出現する位置のインデックスを取得
void | debugPrint ()
| デバッグ用文字列情報出力

## Detailed Description

文字列

このクラスは継承しないで下さい。

Definition at line 36 of file String.h.

## Constructor & Destructor Documentation

Lamp::String::String | ( | const char * | initString | ) |

  | コンストラクタ 文字列による初期化 Parameters:
  initString | 初期化文字列
Definition at line 93 of file String.cpp. References Assert, NULL, StdStrcpy, and StdStrlen.

Lamp::String::String | ( | const String & | copy | ) |

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 110 of file String.cpp. References Assert, getSize(), NULL, and string_.

## Member Function Documentation

String & Lamp::String::append | ( | const char * | appendString | ) |

  | 文字列の追加 Parameters:
  appendString | 連結する文字列
Returns: 変更済み文字列 Definition at line 339 of file String.cpp. References Assert, NULL, and StdStrlen.

String & Lamp::String::append | ( | const String & | appendString | ) |

  | 文字列の追加 Parameters:
  appendString | 連結する文字列
Returns: 変更済み文字列 Definition at line 324 of file String.cpp. References getBytes(), and getSize(). Referenced by operator+(), and operator+=().

char Lamp::String::charAt | ( | int | index | ) | const`[inline]`

  | 文字の取得 Parameters:
  index | 取得する文字のインデックス
Returns: インデックス位置にある文字 Definition at line 120 of file String.h. References Assert, and NULL. Referenced by Lamp::ConfigurationFile::getString(), Lamp::TextConverter::textToString(), and Lamp::BinarySceneSaver::writeID().

int Lamp::String::compareTo | ( | const char * | compareString | ) | const

  | 文字列の辞書式比較 Parameters:
  compareString | 比較する文字列
Definition at line 396 of file String.cpp. References Assert, getBytes(), NULL, and StdStrcmp.

int Lamp::String::compareTo | ( | const String & | compareString | ) | const

  | 文字列の辞書式比較 Parameters:
  compareString | 比較する文字列
Definition at line 391 of file String.cpp. References getBytes(), and StdStrcmp.

int Lamp::String::compareToIgnoreCase | ( | const String & | compareString | ) | const

  | 大文字、小文字を無視した文字列の辞書式比較 Parameters:
  compareString | 比較する文字列
Definition at line 402 of file String.cpp. References getBytes(), getLowerCase(), and StdStrcmp.

bool Lamp::String::endsWith | ( | const char * | suffix | ) | const

  | 指定した文字列で終わるかどうか Parameters:
  suffix | 比較する文字列
Returns: 指定した文字列で終わっていればtrue Definition at line 446 of file String.cpp. References Assert, getBytes(), NULL, StdStrlen, and StdStrncmp.

bool Lamp::String::endsWith | ( | const String & | suffix | ) | const

  | 指定した文字列で終わるかどうか Parameters:
  suffix | 比較する文字列
Returns: 指定した文字列で終わっていればtrue Definition at line 438 of file String.cpp. References getBytes(), getSize(), and StdStrncmp. Referenced by Lamp::StreamTokenizer::nextToken().

bool Lamp::String::equals | ( | const char * | compareString | ) | const

  | 文字列の比較 Parameters:
  compareString | 比較する文字列
Returns: 文字列が同じであればtrue Definition at line 414 of file String.cpp. References Assert, getBytes(), NULL, and StdStrcmp.

bool Lamp::String::equals | ( | const String & | compareString | ) | const

  | 文字列の比較 Parameters:
  compareString | 比較する文字列
Returns: 文字列が同じであればtrue Definition at line 409 of file String.cpp. References getBytes(), and StdStrcmp. Referenced by Lamp::Texture::addressModeFromString(), Lamp::AddressModeSpriteState::addressModeFromString(), Lamp::Material::blendModeFromString(), Lamp::BlendSpriteState::blendModeFromString(), Lamp::Material::blendStateFromString(), Lamp::BlendSpriteState::blendStateFromString(), Lamp::Material::fogOptionFromString(), Lamp::OggVorbisReader::isOggVorbisFileName(), Lamp::WaveReader::isWaveFileName(), operator!=(), operator==(), Lamp::LampInput::playLog(), Lamp::Mesh::primitiveTypeFromString(), Lamp::TextCollisionLoader::readCollisionLink(), Lamp::TextAnimationLoader::readRotationConstantInterpolator(), Lamp::TextAnimationLoader::readRotationInterpolator(), Lamp::TextSceneLoader::readSceneNodeLink(), Lamp::BinarySceneLoader::readSceneNodeLink(), Lamp::TextAnimationLoader::readVectorInterpolator(), and Lamp::TexCoord::texCoordTypeFromString().

bool Lamp::String::equalsIsIgnoreCase | ( | const String & | compareString | ) | const

  | 大文字、小文字を無視した文字列の比較 Parameters:
  compareString | 比較する文字列
Returns: 文字列が同じであればtrue Definition at line 420 of file String.cpp. References getBytes(), getLowerCase(), and StdStrcmp.

String & Lamp::String::format | ( | const char * | formatString,
|  | ... |
| ) |

  | フォーマット printfと同じ書式でフォーマットした文字列を設定する。 sでStringを入れる場合はgetBytes()が必要 Parameters:
  formatString | フォーマット書式
  ... | 可変長引数
Returns: 変更済み文字列 Definition at line 355 of file String.cpp. References Assert, NULL, and StdVsnprintf. Referenced by Lamp::BasicFramework::getFPSString(), Lamp::InputDevice::getInputDeviceString(), Lamp::VectorInterpolationCompressor::getResultString(), Lamp::RotationInterpolationCompressor::getResultString(), Lamp::RandomRenamer::rename(), Lamp::NumberRenamer::rename(), Lamp::CountRenamer::rename(), Lamp::FirstPersonCameraController::setup(), Lamp::Vector3::toString(), Lamp::Triangle::toString(), Lamp::TexCoord4::toString(), Lamp::TexCoord3::toString(), Lamp::TexCoord2::toString(), Lamp::TexCoord1::toString(), Lamp::StereoSound::toString(), Lamp::Sphere::toString(), Lamp::SoundListener::toString(), Lamp::SoundCapacity::toString(), Lamp::SoundCache::SoundArray::toString(), Lamp::SoundCache::toString(), Lamp::Sound3D::toString(), Lamp::Sound::toString(), Lamp::SFPad::toString(), Lamp::Segment::toString(), Lamp::RectangleI::toString(), Lamp::RectangleF::toString(), Lamp::Ray::toString(), Lamp::Quaternion::toString(), Lamp::PS2Pad::toString(), Lamp::Point2i::toString(), Lamp::Point2f::toString(), Lamp::Plane::toString(), Lamp::OrientedBox::toString(), Lamp::MouseState::toString(), Lamp::MouseDevice::toString(), Lamp::Mouse::toString(), Lamp::Matrix44::toString(), Lamp::Matrix34::toString(), Lamp::Matrix33::toString(), Lamp::Line::toString(), Lamp::LampSound::toString(), Lamp::Keyboard::toString(), Lamp::JoystickState::toString(), Lamp::JoystickDevice::toString(), Lamp::Joystick::toString(), Lamp::GraphicsDeviceComboInformation::toString(), Lamp::GraphicsDeviceCapacity::toString(), Lamp::GraphicsAdapterInformation::toString(), Lamp::FPSController::toString(), Lamp::DimensionI::toString(), Lamp::DimensionF::toString(), Lamp::Cone::toString(), Lamp::Color4f::toString(), Lamp::Color4c::toString(), Lamp::Color3f::toString(), Lamp::Color3c::toString(), Lamp::Capsule::toString(), and Lamp::AxisAlignedBox::toString().

const char* Lamp::String::getBytes | ( |  | ) | const`[inline]`

| バイトシーケンスの取得 取得したバイトシーケンスは文字列に変更が加えられた時に 失われる可能性があります。 取得したポインタのデータを直接書き換えるとStringが正しく動作しません。 Returns: バイトシーケンス Definition at line 110 of file String.h. References NULL. Referenced by append(), Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), Lamp::GraphicsDeviceSelector::buildWindowModeSettings(), Lamp::CollisionScene::checkLeafName(), Lamp::SceneObjectManagerTemplate< Mesh >::checkName(), compareTo(), compareToIgnoreCase(), Lamp::CollisionConverter::convertStaticDeformedMesh(), Lamp::WindowCreator::create(), Lamp::CharacterModel::createBone(), Lamp::CollisionScene::createCollisionNode(), Lamp::LampGraphics::createScene(), Lamp::CharacterModel::destroyBone(), Lamp::BasicFramework::drawInformationString(), endsWith(), equals(), equalsIsIgnoreCase(), Lamp::FilePath::existFile(), Lamp::FileInputStream::FileInputStream(), Lamp::SceneLogicCheckFilter::filter(), Lamp::SceneFilter::filter(), Lamp::ChangePicturePathFilter::filter(), Lamp::CalculateBoundingSphereFilter::filter(), Lamp::CalculateBoundingBoxFilter::filter(), Lamp::BuildIndexedTriangleFilter::filter(), Lamp::SceneLogicCheckFilter::filterMaterial(), Lamp::SceneLogicCheckFilter::filterMesh(), Lamp::CalculateBoundingBoxFilter::filterMesh(), Lamp::SceneLogicCheckFilter::filterMeshData(), Lamp::SceneLogicCheckFilter::filterModel(), Lamp::SceneLogicCheckFilter::filterPicture(), Lamp::SceneLogicCheckFilter::filterSceneNode(), Lamp::SceneLogicCheckFilter::filterTexture(), getCharacterCount(), getHashCode(), getIndexOf(), getLastIndexOf(), Lamp::StringTokenizer::getNextToken(), Lamp::StringTokenizer::hasMoreTokens(), Lamp::TextSceneLoader::load(), Lamp::TextCollisionLoader::load(), Lamp::TextAnimationLoader::load(), Lamp::BinarySceneLoader::load(), Lamp::BinaryAnimationLoader::load(), Lamp::ErrorOutput::print(), Lamp::DebugOutput::print(), Lamp::TextAnimationLoader::readAnimationSetLink(), Lamp::BinaryAnimationLoader::readAnimationSetLink(), Lamp::TextSceneLoader::readBasicMaterialLink(), Lamp::BinarySceneLoader::readBasicMaterialLink(), Lamp::TextSceneLoader::readBool(), Lamp::TextCollisionLoader::readBool(), Lamp::TextAnimationLoader::readBool(), Lamp::BinaryAnimationLoader::readCameraAnimationLink(), Lamp::TextAnimationLoader::readCameraLinkList(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationLink(), Lamp::TextAnimationLoader::readCharacterModelLinkList(), Lamp::TextCollisionLoader::readCollisionLeafList(), Lamp::TextCollisionLoader::readCollisionLink(), Lamp::TextSceneLoader::readFloat(), Lamp::TextCollisionLoader::readFloat(), Lamp::TextAnimationLoader::readFloat(), Lamp::WaveReader::readHeader(), Lamp::OggVorbisReaderImpl::readHeader(), Lamp::TextSceneLoader::readInt(), Lamp::TextCollisionLoader::readInt(), Lamp::TextAnimationLoader::readInt(), Lamp::TextSceneLoader::readLightList(), Lamp::BinarySceneLoader::readLightList(), Lamp::TextSceneLoader::readMaterialLinkList(), Lamp::BinarySceneLoader::readMaterialLinkList(), Lamp::TextSceneLoader::readMaterialList(), Lamp::BinarySceneLoader::readMaterialList(), Lamp::TextSceneLoader::readMeshLink(), Lamp::BinarySceneLoader::readMeshLink(), Lamp::TextSceneLoader::readMeshList(), Lamp::BinarySceneLoader::readMeshList(), Lamp::TextSceneLoader::readModelLink(), Lamp::BinarySceneLoader::readModelLink(), Lamp::TextSceneLoader::readModelList(), Lamp::BinarySceneLoader::readModelList(), Lamp::TextSceneLoader::readPictureList(), Lamp::BinarySceneLoader::readPictureList(), Lamp::TextAnimationLoader::readRotationConstantInterpolator(), Lamp::TextAnimationLoader::readRotationInterpolator(), Lamp::BinaryAnimationLoader::readSceneNodeAnimationLink(), Lamp::TextSceneLoader::readSceneNodeLink(), Lamp::BinarySceneLoader::readSceneNodeLink(), Lamp::TextAnimationLoader::readSceneNodeLinkList(), Lamp::TextSceneLoader::readSceneNodeList(), Lamp::BinarySceneLoader::readSceneNodeList(), Lamp::TextSceneLoader::readTextureLink(), Lamp::BinarySceneLoader::readTextureLink(), Lamp::TextSceneLoader::readTextureList(), Lamp::BinarySceneLoader::readTextureList(), Lamp::TextSceneLoader::readToken(), Lamp::TextCollisionLoader::readToken(), Lamp::TextAnimationLoader::readToken(), Lamp::TextSceneLoader::readUChar(), Lamp::TextSceneLoader::readUInt(), Lamp::TextCollisionLoader::readUInt(), Lamp::TextSceneLoader::readUShort(), Lamp::TextAnimationLoader::readVectorInterpolator(), Lamp::RandomRenamer::rename(), Lamp::NumberRenamer::rename(), Lamp::CountRenamer::rename(), Lamp::TextCollisionSaver::save(), Lamp::CollisionConverter::setCollisionLeafData(), Lamp::TextSceneLoader::skipWord(), Lamp::TextCollisionLoader::skipWord(), Lamp::TextAnimationLoader::skipWord(), startsWith(), Lamp::TextConverter::stringToText(), Lamp::TextConverter::textToString(), Lamp::GraphicsDeviceComboInformation::toString(), Lamp::GraphicsAdapterInformation::toString(), Lamp::TextCollisionSaver::writeCollisionLeaf(), Lamp::TextCollisionSaver::writeCollisionNode(), Lamp::TextCollisionSaver::writeCollisionNodeLink(), Lamp::TextSceneSaver::writeLightList(), Lamp::BinarySceneSaver::writeLightList(), Lamp::TextSceneSaver::writeMaterialLinkList(), Lamp::BinarySceneSaver::writeMaterialLinkList(), Lamp::TextSceneSaver::writeMaterialList(), Lamp::BinarySceneSaver::writeMaterialList(), Lamp::TextSceneSaver::writeMeshList(), Lamp::BinarySceneSaver::writeMeshList(), Lamp::TextSceneSaver::writeModelList(), Lamp::BinarySceneSaver::writeModelList(), Lamp::TextSceneSaver::writePicture(), Lamp::BinarySceneSaver::writePicture(), Lamp::BinaryWriter::writeString(), Lamp::BinarySceneSaver::writeString(), Lamp::BinaryAnimationSaver::writeString(), Lamp::TextWriter::writeText(), Lamp::TextSceneSaver::writeTextureList(), and Lamp::BinarySceneSaver::writeTextureList().

int Lamp::String::getCharacterCount | ( |  | ) | const

| 文字数を返す Returns: 文字列に含まれる文字の数 Definition at line 172 of file String.cpp. References getBytes(), and StdMbslen.

u_int Lamp::String::getHashCode | ( |  | ) | const

| ハッシュコードの取得 Returns: ハッシュコード Definition at line 225 of file String.cpp. References getBytes(), and u_int.

int Lamp::String::getIndexOf | ( | const String & | searchString | ) | const

  | 指定された文字列が最初に出現する位置のインデックスを取得 Parameters:
  searchString | 検索文字列
Returns: 最初に出現した位置のインデックス。無ければ-1を返す。 Definition at line 470 of file String.cpp. References getBytes(), NULL, and StdStrstr.

int Lamp::String::getIndexOf | ( | const char * | searchString | ) | const

  | 指定された文字列が最初に出現する位置のインデックスを取得 Parameters:
  searchString | 検索文字列
Returns: 最初に出現した位置のインデックス。無ければ-1を返す。 Definition at line 462 of file String.cpp. References Assert, getBytes(), NULL, and StdStrstr.

int Lamp::String::getIndexOf | ( | const char | searchChar | ) | const

  | 指定された文字が最初に出現する位置のインデックスを取得 Parameters:
  searchChar | 検索文字
Returns: 最初に出現した位置のインデックス。無ければ-1を返す。 Definition at line 455 of file String.cpp. References getBytes(), NULL, and StdStrchr. Referenced by Lamp::RandomRenamer::rename(), Lamp::NumberRenamer::rename(), and Lamp::CountRenamer::rename().

int Lamp::String::getLastIndexOf | ( | const String & | searchString | ) | const

  | 指定された文字列が最後に出現する位置のインデックスを取得 Parameters:
  searchString | 検索文字列
Returns: 最後に出現した位置のインデックス。無ければ-1を返す。 Definition at line 500 of file String.cpp. References getBytes(), getSize(), NULL, and StdStrstr.

int Lamp::String::getLastIndexOf | ( | const char * | searchString | ) | const

  | 指定された文字列が最後に出現する位置のインデックスを取得 Parameters:
  searchString | 検索文字列
Returns: 最後に出現した位置のインデックス。無ければ-1を返す。 Definition at line 484 of file String.cpp. References Assert, getBytes(), NULL, StdStrlen, and StdStrstr.

int Lamp::String::getLastIndexOf | ( | const char | searchChar | ) | const

  | 指定された文字が最後に出現する位置のインデックスを取得 Parameters:
  searchChar | 検索文字
Returns: 最後に出現した位置のインデックス。無ければ-1を返す。 Definition at line 477 of file String.cpp. References getBytes(), NULL, and StdStrrchr. Referenced by Lamp::FilePath::getExtension(), Lamp::FilePath::getFileName(), Lamp::FilePath::getFolderPath(), and Lamp::FilePath::getName().

String Lamp::String::getLowerCase | ( |  | ) | const

| 小文字化した文字列の取得 Returns: 小文字化した文字列 Definition at line 216 of file String.cpp. References getSize(), StdStrlwr, and string_. Referenced by compareToIgnoreCase(), equalsIsIgnoreCase(), and Lamp::FilePath::getExtension().

int Lamp::String::getSize | ( |  | ) | const`[inline]`

| 文字列のバイト長を返す NULL終端を含まない文字列のバイト長を返します。 Returns: 文字列のバイト長 Definition at line 87 of file String.h. Referenced by Lamp::NamedObjectDatabase< Type >::add(), append(), Lamp::SceneNodeAnimation::bind(), Lamp::CharacterModelAnimation::bind(), Lamp::CameraAnimation::bind(), Lamp::CollisionScene::checkLeafName(), Lamp::SceneObjectManagerTemplate< Mesh >::checkName(), Lamp::CharacterModel::createBone(), Lamp::CollisionScene::createCollisionNode(), Lamp::LampGraphics::createScene(), endsWith(), Lamp::ConfigurationFile::getChar(), Lamp::ConfigurationFile::getDouble(), Lamp::ConfigurationFile::getFloat(), Lamp::ConfigurationFile::getInt(), getLastIndexOf(), getLowerCase(), Lamp::ConfigurationFile::getShort(), Lamp::ConfigurationFile::getString(), Lamp::ConfigurationFile::getUChar(), Lamp::ConfigurationFile::getUInt(), getUpperCase(), Lamp::ConfigurationFile::getUShort(), Lamp::SceneFramework::loadScene(), operator=(), Lamp::ErrorOutput::print(), Lamp::DebugOutput::print(), Lamp::NamedObjectDatabase< Type >::remove(), Lamp::AnimationManager::rename(), Lamp::AnimationManager::renameData(), startsWith(), String(), Lamp::TextConverter::stringToText(), Lamp::TextConverter::textToString(), Lamp::BinarySceneSaver::writeID(), Lamp::BinaryWriter::writeString(), Lamp::BinarySceneSaver::writeString(), Lamp::BinaryAnimationSaver::writeString(), and Lamp::TextWriter::writeText().

String Lamp::String::getSubstring | ( | int | beginIndex,
|  | int | endIndex
| ) | const

  | 部分文字列の取得 Parameters:
  beginIndex | 部分文字列の開始位置
  endIndex | 部分文字列の終了位置(終了文字のインデックス + 1)
Definition at line 190 of file String.cpp. References Assert, and String().

String Lamp::String::getSubstring | ( | int | beginIndex | ) | const

  | 部分文字列の取得 Parameters:
  beginIndex | 部分文字列の開始位置
Definition at line 177 of file String.cpp. References Assert, StdStrcpy, and String(). Referenced by Lamp::FilePath::getExtension(), Lamp::FilePath::getFileName(), Lamp::FilePath::getFolderPath(), Lamp::FilePath::getName(), Lamp::SceneFramework::loadScene(), Lamp::OggVorbisReaderImpl::readHeader(), Lamp::RandomRenamer::rename(), Lamp::NumberRenamer::rename(), and Lamp::CountRenamer::rename().

String Lamp::String::getUpperCase | ( |  | ) | const

| 大文字化した文字列の取得 Returns: 大文字化した文字列 Definition at line 207 of file String.cpp. References getSize(), StdStrupr, and string_.

bool Lamp::String::isEmpty | ( |  | ) | const`[inline]`

| 空文字列かどうか Returns: 空文字列ならtrueを返す。 Definition at line 100 of file String.h. Referenced by Lamp::Sound::toString().

bool Lamp::String::operator!= | ( | const String & | compareString | ) | const`[inline]`

  | 文字列の比較 Parameters:
  compareString | 比較する文字列
Returns: 同じ値でなければtrueを返す Definition at line 312 of file String.h. References equals().

String& Lamp::String::operator+= | ( | const char * | appendString | ) | `[inline]`

  | 追加演算子 Parameters:
  appendString | 追加文字列
Returns: 変更済み文字列 Definition at line 248 of file String.h. References append().

String& Lamp::String::operator+= | ( | const String & | appendString | ) | `[inline]`

  | 追加演算子 Parameters:
  appendString | 追加文字列
Returns: 変更済み文字列 Definition at line 239 of file String.h. References append().

String & Lamp::String::operator= | ( | const char * | copy | ) |

  | 代入演算子 Parameters:
  copy | 代入元
Definition at line 146 of file String.cpp. References Assert, NULL, StdStrcpy, and StdStrlen.

String & Lamp::String::operator= | ( | const String & | copy | ) |

  | 代入演算子 Parameters:
  copy | 代入元
Definition at line 130 of file String.cpp. References Assert, getSize(), NULL, and string_.

bool Lamp::String::operator== | ( | const String & | compareString | ) | const`[inline]`

  | 文字列の比較 Parameters:
  compareString | 比較する文字列
Returns: 同じ値であればtrueを返す Definition at line 303 of file String.h. References equals().

bool Lamp::String::parseChar | ( | char * | value | ) | const

  | charへのパース Parameters:
  value | [out] char化された値が代入されます
Returns: trueならパース成功 Definition at line 238 of file String.cpp. References Assert, NULL, and StdSscanf. Referenced by Lamp::ConfigurationFile::getChar().

bool Lamp::String::parseDouble | ( | double * | value | ) | const

  | doubleへのパース Parameters:
  value | [out] double化された値が代入されます
Returns: trueならパース成功 Definition at line 314 of file String.cpp. References Assert, NULL, and StdSscanf. Referenced by Lamp::ConfigurationFile::getDouble().

bool Lamp::String::parseFloat | ( | float * | value | ) | const

  | floatへのパース Parameters:
  value | [out] float化された値が代入されます
Returns: trueならパース成功 Definition at line 306 of file String.cpp. References Assert, NULL, and StdSscanf. Referenced by Lamp::Sound::applyCommentOption(), Lamp::CalculateBoundingSphereFilter::filter(), Lamp::CalculateBoundingBoxFilter::filter(), Lamp::ConfigurationFile::getFloat(), Lamp::TextSceneLoader::readFloat(), Lamp::TextCollisionLoader::readFloat(), and Lamp::TextAnimationLoader::readFloat().

bool Lamp::String::parseInt | ( | int * | value | ) | const

  | intへのパース Parameters:
  value | [out] int化された値が代入されます
Returns: trueならパース成功 Definition at line 290 of file String.cpp. References Assert, NULL, and StdSscanf. Referenced by Lamp::ConfigurationFile::getInt(), Lamp::TextSceneLoader::readInt(), Lamp::TextCollisionLoader::readInt(), and Lamp::TextAnimationLoader::readInt().

bool Lamp::String::parseShort | ( | short * | value | ) | const

  | shortへのパース Parameters:
  value | [out] short化された値が代入されます
Returns: trueならパース成功 Definition at line 264 of file String.cpp. References Assert, NULL, and StdSscanf. Referenced by Lamp::ConfigurationFile::getShort().

bool Lamp::String::parseUChar | ( | u_char * | value | ) | const

  | u_charへのパース Parameters:
  value | [out] u_char化された値が代入されます
Returns: trueならパース成功 Definition at line 251 of file String.cpp. References Assert, NULL, StdSscanf, and u_char. Referenced by Lamp::ConfigurationFile::getUChar(), and Lamp::TextSceneLoader::readUChar().

bool Lamp::String::parseUInt | ( | u_int * | value | ) | const

  | u_intへのパース Parameters:
  value | [out] u_int化された値が代入されます
Returns: trueならパース成功 Definition at line 298 of file String.cpp. References Assert, NULL, and StdSscanf. Referenced by Lamp::Sound::applyCommentOption(), Lamp::ConfigurationFile::getUInt(), Lamp::TextSceneLoader::readUInt(), and Lamp::TextCollisionLoader::readUInt().

bool Lamp::String::parseUShort | ( | u_short * | value | ) | const

  | u_shortへのパース Parameters:
  value | [out] u_short化された値が代入されます
Returns: trueならパース成功 Definition at line 277 of file String.cpp. References Assert, NULL, StdSscanf, and u_short. Referenced by Lamp::ConfigurationFile::getUShort(), and Lamp::TextSceneLoader::readUShort().

bool Lamp::String::startsWith | ( | const char * | prefix | ) | const

  | 指定した文字列で始まるかどうか Parameters:
  prefix | 比較する文字列
Returns: 指定した文字列で始まっていればtrue Definition at line 432 of file String.cpp. References Assert, getBytes(), NULL, StdStrlen, and StdStrncmp.

bool Lamp::String::startsWith | ( | const String & | prefix | ) | const

  | 指定した文字列で始まるかどうか Parameters:
  prefix | 比較する文字列
Returns: 指定した文字列で始まっていればtrue Definition at line 427 of file String.cpp. References getBytes(), getSize(), and StdStrncmp. Referenced by Lamp::SceneFilter::filter(), Lamp::SoundList::loadSound(), Lamp::StreamTokenizer::nextToken(), and Lamp::OggVorbisReaderImpl::readHeader().

The documentation for this class was generated from the following files:

- String.h
- String.cpp